|  | Home · All Classes · Modules

# QCryptographicHash Class Reference
[QtCore module]

The QCryptographicHash class provides a way to generate cryptographic hashes. More...

### Types

- enum Algorithm { Md4, Md5, Sha1 }

### Methods

- __init__ (self, Algorithm)
- addData (self, str)
- addData (self, QByteArray)
- reset (self)
- QByteArray result (self)

### Static Methods

- QByteArray hash (QByteArray, Algorithm)

## Detailed Description

The QCryptographicHash class provides a way to generate cryptographic hashes.

QCryptographicHash can be used to generate cryptographic hashes of binary or text data.

Currently MD4, MD5, and SHA-1 are supported.

## Type Documentation

### QCryptographicHash.Algorithm

Constant | Value | Description
--- | --- | ---
`QCryptographicHash.Md4` | `0` | Generate an MD4 hash sum
`QCryptographicHash.Md5` | `1` | Generate an MD5 hash sum
`QCryptographicHash.Sha1` | `2` | Generate an SHA1 hash sum

## Method Documentation

### QCryptographicHash.__init__ (self, Algorithm)

Constructs an object that can be used to create a cryptographic hash from data using method.

### QCryptographicHash.addData (self, str)

Adds the first length chars of data to the cryptographic hash.

### QCryptographicHash.addData (self, QByteArray)

/overload

### QByteArray QCryptographicHash.hash (QByteArray, Algorithm)

Returns the hash of data using method.

### QCryptographicHash.reset (self)

Resets the object.

### QByteArray QCryptographicHash.result (self)

Returns the final hash value.

See also QByteArray.toHex().